%define upstream_name	 PAR-Dist
%define upstream_version 0.53

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create and manipulate PAR distributions
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl-YAML-parser
BuildArch:  noarch

%description
This module creates and manipulates *PAR distributions*. They are
architecture-specific PAR files, containing everything under blib/ of CPAN
distributions after their "make" or "Build" stage, a META.yml describing
metadata of the original CPAN distribution, and a MANIFEST detailing all files
within it. Digitally signed PAR distributions will also contain a SIGNATURE
file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/PAR

%changelog
* Mon Jul 01 2024 tv <tv> 0.530.0-1.mga10
+ Revision: 2078667
- update to 0.53

* Tue Aug 29 2023 tv <tv> 0.520.0-1.mga10
+ Revision: 1981004
- update to 0.52

* Mon Mar 21 2022 umeabot <umeabot> 0.510.0-2.mga9
+ Revision: 1813644
- Mageia 9 Mass Rebuild

* Tue Dec 01 2020 tv <tv> 0.510.0-1.mga8
+ Revision: 1651057
- update to 0.51

* Wed Nov 18 2020 tv <tv> 0.500.0-1.mga8
+ Revision: 1646973
- update to 0.50

* Wed Feb 12 2020 umeabot <umeabot> 0.490.0-10.mga8
+ Revision: 1496349
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.490.0-9.mga7
+ Revision: 1270365
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.490.0-8.mga6
+ Revision: 1031638
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.490.0-7.mga6
+ Revision: 948909
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.490.0-6.mga5
+ Revision: 788601
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.490.0-5.mga5
+ Revision: 746665
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.490.0-4.mga5
+ Revision: 685797
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.490.0-3.mga4
+ Revision: 513741
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.490.0-2.mga3
+ Revision: 371164
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.490.0-1.mga3
+ Revision: 306185
- update to 0.49

* Tue Nov 08 2011 jquelin <jquelin> 0.480.0-1.mga2
+ Revision: 165529
- update to 0.48

* Wed Jan 19 2011 jquelin <jquelin> 0.470.0-1.mga1
+ Revision: 24269
- fix specs
- imported package perl-PAR-Dist

